#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: free
version: 5.0.2
id: free-5.0.2-DqNsIXMy0a2J25ArW8xbLK
key: free-5.0.2-DqNsIXMy0a2J25ArW8xbLK
license: BSD-3-Clause
copyright: Copyright (C) 2008-2015 Edward A. Kmett
maintainer: Edward A. Kmett <ekmett@gmail.com>
author: Edward A. Kmett
stability: provisional
homepage: http://github.com/ekmett/free/
synopsis: Monads for free
description:
    Free monads are useful for many tree-like structures and domain specific languages.
    .
    If @f@ is a '\''Functor'\'' then the free '\''Monad'\'' on @f@ is the type
    of trees whose nodes are labeled with the constructors of @f@. The word
    \"free\" is used in the sense of \"unrestricted\" rather than \"zero-cost\":
    @Free f@ makes no constraining assumptions beyond those given by @f@ and the
    definition of '\''Monad'\''. As used here it is a standard term from the
    mathematical theory of adjoint functors.
    .
    Cofree comonads are dual to free monads. They provide convenient ways to talk
    about branching streams and rose-trees, and can be used to annotate syntax
    trees. The cofree comonad can be seen as a stream parameterized by a '\''Functor'\''
    that controls its branching factor.
    .
    More information on free monads, including examples, can be found in the
    following blog posts:
    <http://comonad.com/reader/2008/monads-for-free/>
    <http://comonad.com/reader/2011/free-monads-for-less/>
category: Control, Monads
abi: 4b0f7ef5d387402e9b6b17f52860de94
exposed: True
exposed-modules:
    Control.Alternative.Free Control.Alternative.Free.Final
    Control.Applicative.Free Control.Applicative.Free.Fast
    Control.Applicative.Free.Final Control.Applicative.Trans.Free
    Control.Comonad.Cofree Control.Comonad.Cofree.Class
    Control.Comonad.Trans.Cofree Control.Comonad.Trans.Coiter
    Control.Monad.Free Control.Monad.Free.Ap Control.Monad.Free.Church
    Control.Monad.Free.Class Control.Monad.Free.TH
    Control.Monad.Trans.Free Control.Monad.Trans.Free.Ap
    Control.Monad.Trans.Free.Church Control.Monad.Trans.Iter
hidden-modules: Data.Functor.Classes.Compat
import-dirs: /usr/lib/ghc-8.4.3/site-local/free-5.0.2
library-dirs: /usr/lib/ghc-8.4.3/site-local/free-5.0.2
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.3/free-5.0.2
hs-libraries: HSfree-5.0.2-DqNsIXMy0a2J25ArW8xbLK
includes:
    free-common.h
depends:
    base-4.11.1.0 bifunctors-5.5.2-DIANmDgKQPA8vBNLPtePsT
    comonad-5.0.3-8UtPCqVW5bhJDvCyfu8yV6
    distributive-0.5.3-5nkBTxclX9vAHr70pMJ5DY mtl-2.2.2
    profunctors-5.2.2-6J4jItUjxVa5X4Kw4fdLcO
    semigroupoids-5.2.2-HLbu1OSunWhLfO3lCovzwh transformers-0.5.5.0
    transformers-base-0.4.5.2-6bi821vJnyALiU5xNcgdNE
    transformers-compat-0.6.2-EZ0ZvADLUlc4V8RuKaJX5W
    template-haskell-2.13.0.0 exceptions-0.10.0-7epDYg20HTz9YX9m9nzGfO
    containers-0.5.11.0
abi-depends: base-4.11.1.0=9da3f387598d41928f3ebf8097acf9b3
             bifunctors-5.5.2-DIANmDgKQPA8vBNLPtePsT=eade1d54daf78136ee93e60a43610d40
             comonad-5.0.3-8UtPCqVW5bhJDvCyfu8yV6=96929e001acdf4c1250c92c5565c3ce2
             distributive-0.5.3-5nkBTxclX9vAHr70pMJ5DY=0f24c3425e34e41c330ffa9805fd64bd
             mtl-2.2.2=3cf3b316ad8e985e039ee3b498a98253
             profunctors-5.2.2-6J4jItUjxVa5X4Kw4fdLcO=a7de27d6c859528fc323b27ace140658
             semigroupoids-5.2.2-HLbu1OSunWhLfO3lCovzwh=f06b8270638d7c3c164de722918572e8
             transformers-0.5.5.0=633c3e5ec737c360775b452ce9aa1e0b
             transformers-base-0.4.5.2-6bi821vJnyALiU5xNcgdNE=a83e875d96ef3a45a1077fdf83ced0a7
             transformers-compat-0.6.2-EZ0ZvADLUlc4V8RuKaJX5W=197a030c492741542d6f49bc76370bb8
             template-haskell-2.13.0.0=1ce4a454c5861830bbdedc46baa462f3
             exceptions-0.10.0-7epDYg20HTz9YX9m9nzGfO=87ba3c1011ac70bcfb17ce2e39a2e1bb
             containers-0.5.11.0=7795138514357bd2e41eaf59b6cfce4f
haddock-interfaces: /usr/share/doc/haskell-free/html/free.haddock
haddock-html: /usr/share/doc/haskell-free/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

